<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Function (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Function (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Function.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/Frequency.html"
               title="class in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/Function0Arg.html"
               title="interface in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/functions/Function.html" target="_top">Frames</a>
        </li>
        <li><a href="Function.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.formula.functions</div>
    <h2 title="Interface Function" class="title">Interface Function</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Subinterfaces:</dt>
                    <dd><a href="../../../../../../org/apache/poi/ss/formula/functions/Function0Arg.html"
                           title="interface in org.apache.poi.ss.formula.functions">Function0Arg</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Function1Arg.html"
                            title="interface in org.apache.poi.ss.formula.functions">Function1Arg</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Function2Arg.html"
                            title="interface in org.apache.poi.ss.formula.functions">Function2Arg</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Function3Arg.html"
                            title="interface in org.apache.poi.ss.formula.functions">Function3Arg</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Function4Arg.html"
                            title="interface in org.apache.poi.ss.formula.functions">Function4Arg</a></dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../../org/apache/poi/ss/formula/functions/Address.html"
                           title="class in org.apache.poi.ss.formula.functions">Address</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/AggregateFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">AggregateFunction</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Areas.html"
                            title="class in org.apache.poi.ss.formula.functions">Areas</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Bin2Dec.html"
                            title="class in org.apache.poi.ss.formula.functions">Bin2Dec</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/BooleanFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">BooleanFunction</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/CalendarFieldFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">CalendarFieldFunction</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Choose.html"
                            title="class in org.apache.poi.ss.formula.functions">Choose</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Code.html"
                            title="class in org.apache.poi.ss.formula.functions">Code</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Column.html"
                            title="class in org.apache.poi.ss.formula.functions">Column</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Columns.html"
                            title="class in org.apache.poi.ss.formula.functions">Columns</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Complex.html"
                            title="class in org.apache.poi.ss.formula.functions">Complex</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/ConcatEval.html"
                            title="class in org.apache.poi.ss.formula.eval">ConcatEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Count.html"
                            title="class in org.apache.poi.ss.formula.functions">Count</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Counta.html"
                            title="class in org.apache.poi.ss.formula.functions">Counta</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Countblank.html"
                            title="class in org.apache.poi.ss.formula.functions">Countblank</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Countif.html"
                            title="class in org.apache.poi.ss.formula.functions">Countif</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/DateFunc.html"
                            title="class in org.apache.poi.ss.formula.functions">DateFunc</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Days360.html"
                            title="class in org.apache.poi.ss.formula.functions">Days360</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Dec2Bin.html"
                            title="class in org.apache.poi.ss.formula.functions">Dec2Bin</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Dec2Hex.html"
                            title="class in org.apache.poi.ss.formula.functions">Dec2Hex</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Delta.html"
                            title="class in org.apache.poi.ss.formula.functions">Delta</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/DStarRunner.html"
                            title="class in org.apache.poi.ss.formula.functions">DStarRunner</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Errortype.html"
                            title="class in org.apache.poi.ss.formula.functions">Errortype</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Even.html"
                            title="class in org.apache.poi.ss.formula.functions">Even</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/FactDouble.html"
                            title="class in org.apache.poi.ss.formula.functions">FactDouble</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/FinanceFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">FinanceFunction</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Fixed.html"
                            title="class in org.apache.poi.ss.formula.functions">Fixed</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Fixed0ArgFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">Fixed0ArgFunction</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Fixed1ArgFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">Fixed1ArgFunction</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Fixed2ArgFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">Fixed2ArgFunction</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Fixed3ArgFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">Fixed3ArgFunction</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Fixed4ArgFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">Fixed4ArgFunction</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Frequency.html"
                            title="class in org.apache.poi.ss.formula.functions">Frequency</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Hex2Dec.html"
                            title="class in org.apache.poi.ss.formula.functions">Hex2Dec</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Hlookup.html"
                            title="class in org.apache.poi.ss.formula.functions">Hlookup</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Hyperlink.html"
                            title="class in org.apache.poi.ss.formula.functions">Hyperlink</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/IfFunc.html"
                            title="class in org.apache.poi.ss.formula.functions">IfFunc</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Imaginary.html"
                            title="class in org.apache.poi.ss.formula.functions">Imaginary</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/ImReal.html"
                            title="class in org.apache.poi.ss.formula.functions">ImReal</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Index.html"
                            title="class in org.apache.poi.ss.formula.functions">Index</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Intercept.html"
                            title="class in org.apache.poi.ss.formula.functions">Intercept</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/IntersectionEval.html"
                            title="class in org.apache.poi.ss.formula.eval">IntersectionEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/IPMT.html"
                            title="class in org.apache.poi.ss.formula.functions">IPMT</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Irr.html"
                            title="class in org.apache.poi.ss.formula.functions">Irr</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/LinearRegressionFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">LinearRegressionFunction</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/LogicalFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">LogicalFunction</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Lookup.html"
                            title="class in org.apache.poi.ss.formula.functions">Lookup</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Match.html"
                            title="class in org.apache.poi.ss.formula.functions">Match</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">MatrixFunction</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.MutableValueCollector.html"
                            title="class in org.apache.poi.ss.formula.functions">MatrixFunction.MutableValueCollector</a>,
                        <a href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.OneArrayArg.html"
                           title="class in org.apache.poi.ss.formula.functions">MatrixFunction.OneArrayArg</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.TwoArrayArg.html"
                                title="class in org.apache.poi.ss.formula.functions">MatrixFunction.TwoArrayArg</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/MinaMaxa.html"
                                title="class in org.apache.poi.ss.formula.functions">MinaMaxa</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Mirr.html"
                                title="class in org.apache.poi.ss.formula.functions">Mirr</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Mode.html"
                                title="class in org.apache.poi.ss.formula.functions">Mode</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/MultiOperandNumericFunction.html"
                                title="class in org.apache.poi.ss.formula.functions">MultiOperandNumericFunction</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Na.html"
                                title="class in org.apache.poi.ss.formula.functions">Na</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/NotImplementedFunction.html"
                                title="class in org.apache.poi.ss.formula.functions">NotImplementedFunction</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Now.html"
                                title="class in org.apache.poi.ss.formula.functions">Now</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Npv.html"
                                title="class in org.apache.poi.ss.formula.functions">Npv</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html"
                                title="class in org.apache.poi.ss.formula.functions">NumericFunction</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.OneArg.html"
                                title="class in org.apache.poi.ss.formula.functions">NumericFunction.OneArg</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.TwoArg.html"
                                title="class in org.apache.poi.ss.formula.functions">NumericFunction.TwoArg</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Oct2Dec.html"
                                title="class in org.apache.poi.ss.formula.functions">Oct2Dec</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Odd.html"
                                title="class in org.apache.poi.ss.formula.functions">Odd</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Offset.html"
                                title="class in org.apache.poi.ss.formula.functions">Offset</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/eval/PercentEval.html"
                                title="class in org.apache.poi.ss.formula.eval">PercentEval</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/PPMT.html"
                                title="class in org.apache.poi.ss.formula.functions">PPMT</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Quotient.html"
                                title="class in org.apache.poi.ss.formula.functions">Quotient</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/eval/RangeEval.html"
                                title="class in org.apache.poi.ss.formula.eval">RangeEval</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Rank.html"
                                title="class in org.apache.poi.ss.formula.functions">Rank</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Rate.html"
                                title="class in org.apache.poi.ss.formula.functions">Rate</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/eval/RelationalOperationEval.html"
                                title="class in org.apache.poi.ss.formula.eval">RelationalOperationEval</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Replace.html"
                                title="class in org.apache.poi.ss.formula.functions">Replace</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Rept.html"
                                title="class in org.apache.poi.ss.formula.functions">Rept</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Roman.html"
                                title="class in org.apache.poi.ss.formula.functions">Roman</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/RowFunc.html"
                                title="class in org.apache.poi.ss.formula.functions">RowFunc</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Rows.html"
                                title="class in org.apache.poi.ss.formula.functions">Rows</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Slope.html"
                                title="class in org.apache.poi.ss.formula.functions">Slope</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Substitute.html"
                                title="class in org.apache.poi.ss.formula.functions">Substitute</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Subtotal.html"
                                title="class in org.apache.poi.ss.formula.functions">Subtotal</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Sumif.html"
                                title="class in org.apache.poi.ss.formula.functions">Sumif</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Sumproduct.html"
                                title="class in org.apache.poi.ss.formula.functions">Sumproduct</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Sumx2my2.html"
                                title="class in org.apache.poi.ss.formula.functions">Sumx2my2</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Sumx2py2.html"
                                title="class in org.apache.poi.ss.formula.functions">Sumx2py2</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Sumxmy2.html"
                                title="class in org.apache.poi.ss.formula.functions">Sumxmy2</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/T.html"
                                title="class in org.apache.poi.ss.formula.functions">T</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/TextFunction.html"
                                title="class in org.apache.poi.ss.formula.functions">TextFunction</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/TimeFunc.html"
                                title="class in org.apache.poi.ss.formula.functions">TimeFunc</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Today.html"
                                title="class in org.apache.poi.ss.formula.functions">Today</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Trend.html"
                                title="class in org.apache.poi.ss.formula.functions">Trend</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/eval/TwoOperandNumericOperation.html"
                                title="class in org.apache.poi.ss.formula.eval">TwoOperandNumericOperation</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/eval/UnaryMinusEval.html"
                                title="class in org.apache.poi.ss.formula.eval">UnaryMinusEval</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/eval/UnaryPlusEval.html"
                                title="class in org.apache.poi.ss.formula.eval">UnaryPlusEval</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Value.html"
                                title="class in org.apache.poi.ss.formula.functions">Value</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/Vlookup.html"
                                title="class in org.apache.poi.ss.formula.functions">Vlookup</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/WeekdayFunc.html"
                                title="class in org.apache.poi.ss.formula.functions">WeekdayFunc</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/WeekNum.html"
                                title="class in org.apache.poi.ss.formula.functions">WeekNum</a>, <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/XYNumericFunction.html"
                                title="class in org.apache.poi.ss.formula.functions">XYNumericFunction</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">Function</span></pre>
                <div class="block">Common interface for all implementations of Excel built-in functions.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Amol S. Deshmukh &lt; amolweb at ya hoo dot com &gt;</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Function.html#evaluate-org.apache.poi.ss.formula.eval.ValueEval:A-int-int-">evaluate</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>[]&nbsp;args,
                                    int&nbsp;srcRowIndex,
                                    int&nbsp;srcColumnIndex)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="evaluate-org.apache.poi.ss.formula.eval.ValueEval:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>evaluate</h4>
                                <pre><a href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;evaluate(<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>[]&nbsp;args,
                   int&nbsp;srcRowIndex,
                   int&nbsp;srcColumnIndex)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>args</code> - the evaluated function arguments. Empty values are
                                        represented with
                                        <a href="../../../../../../org/apache/poi/ss/formula/eval/BlankEval.html"
                                           title="class in org.apache.poi.ss.formula.eval"><code>BlankEval</code></a> or
                                        <a href="../../../../../../org/apache/poi/ss/formula/eval/MissingArgEval.html"
                                           title="class in org.apache.poi.ss.formula.eval"><code>MissingArgEval</code></a>,
                                        never <code>null</code>.
                                    </dd>
                                    <dd><code>srcRowIndex</code> - row index of the cell containing the formula under
                                        evaluation
                                    </dd>
                                    <dd><code>srcColumnIndex</code> - column index of the cell containing the formula
                                        under evaluation
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The evaluated result, possibly an <a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/ErrorEval.html"
                                            title="class in org.apache.poi.ss.formula.eval"><code>ErrorEval</code></a>,
                                        never <code>null</code>.
                                        <b>Note</b> - Excel uses the error code <i>#NUM!</i> instead of IEEE <i>NaN</i>,
                                        so when
                                        numeric functions evaluate to <code>Double.NaN</code> be sure to translate the
                                        result to <a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/ErrorEval.html#NUM_ERROR"><code>ErrorEval.NUM_ERROR</code></a>.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Function.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/Frequency.html"
               title="class in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/Function0Arg.html"
               title="interface in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/functions/Function.html" target="_top">Frames</a>
        </li>
        <li><a href="Function.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
